commit:     ac183c5ef29e5df50c4e8a3b3b56ec5bf4e5edee
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Thu Aug  2 14:39:25 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sun Aug  5 13:56:38 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ac183c5e

app-misc/elasticsearch: bump to 6.3.2

Closes: https://bugs.gentoo.org/661312
Package-Manager: Portage-2.3.44, Repoman-2.3.10

 app-misc/elasticsearch/Manifest                   |  2 +
 app-misc/elasticsearch/elasticsearch-6.3.2.ebuild | 91 +++++++++++++++++++++++
 app-misc/elasticsearch/metadata.xml               | 27 ++++---
 3 files changed, 108 insertions(+), 12 deletions(-)

diff --git a/app-misc/elasticsearch/Manifest b/app-misc/elasticsearch/Manifest
index 98b53a2a15b..d48921f66c4 100644
--- a/app-misc/elasticsearch/Manifest
+++ b/app-misc/elasticsearch/Manifest
@@ -1,3 +1,5 @@
 DIST elasticsearch-5.6.10.tar.gz 33796721 BLAKE2B 
4e9d1d910a70acf32ca63cec811b711f692f3cf32dcec084a07f92d281eed07c067740bb5c5447055a6d0b6126e55a635edcd08c105dc59985db72bcd031a8a5
 SHA512 
17bd5710cfc3efa455428a79c74e63aacc9b9481d59a0b0df07ad4e4c25ef32dd41b3dbbde464a2801363b6d428a23eb52cc935640ce86bbc4d8a01dca8a1585
 DIST elasticsearch-6.2.4.tar.gz 29056810 BLAKE2B 
121be27ac1db4fa6bbe285161b3f2b2dd889859b50f46b57b68ed43514568c4aa9629b5ca32edcc2328a6e7245256d64901c8acc8b2dd91337f8ca97b87c46e1
 SHA512 
9e6c0de8ed0d9e27fdd18ef7bada376af5a8680bb7a4f4d805926da456b349cee731ba90328b5eda5f0e62fa3f00f34646bf1c2b6c662d055f4be338d0690941
+DIST elasticsearch-6.3.2.tar.gz 91452574 BLAKE2B 
c422990fabad70e6e77e8f59f6fb9e9bf5a84eb7e6b8b67dfd91f53e474b1b501b3a1d5ea8f54f0793631504f194a116e816eb3558782b67c8dadecbc2711ee5
 SHA512 
954cd1e16a5f2e0b0efaeb7e6b19c708d1588d30814a31defb09037c3b90f78c5e9dbd1ca9af9c700d517145a4279bacc1d8ce7cc6894fbe7bf71eec9ed3110d
 DIST elasticsearch-oss-6.3.1.tar.gz 29417012 BLAKE2B 
356665cde2f12ae5813d95302398f5fced07c53d25e6e1dc7ad41c8dc8ad42cd3d5bd4ffa6cab24af8088c29800f6ec59a483710272b756af2f76b5967d4b932
 SHA512 
3df0f7f35e150198f7ff660cf4d90fbd1c2ca587287c6340d427f968711b6390123bfafd09a744c9bdf328d57423bcb75f6e4701ce14a7257388611abea62545
+DIST elasticsearch-oss-6.3.2.tar.gz 29418577 BLAKE2B 
152640dc01a10f44ba43f87f68361cc0dd5e1cf54d0ff92377f3acd1a12a247f002ffe2d003cc53760e891278249c10b1d6d4eb978b0bb1c1ebf8879a2cfcb9a
 SHA512 
3c51a860414f7e55900b1d9a350bdbc3e673c8445e316454c2480315b4b9fc08df58090c6281cecc3ae63d12d78d6bd58e228b3371aa325db799ce18758a21f4

diff --git a/app-misc/elasticsearch/elasticsearch-6.3.2.ebuild 
b/app-misc/elasticsearch/elasticsearch-6.3.2.ebuild
new file mode 100644
index 00000000000..e022c71854f
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-6.3.2.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch";
+SRC_URI="x-pack? ( https://artifacts.elastic.co/downloads/${PN}/${P}.tar.gz )
+       !x-pack? ( 
https://artifacts.elastic.co/downloads/${PN}/${PN}-oss-${PV}.tar.gz )"
+LICENSE="Apache-2.0 BSD-2 LGPL-3 MIT public-domain x-pack? ( Elastic )"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="x-pack"
+
+RDEPEND="virtual/jre:1.8"
+
+QA_PRESTRIPPED="usr/share/elasticsearch/modules/x-pack/x-pack-ml/platform/linux-x86_64/\(bin\|lib\)/.*"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 /bin/bash /usr/share/${PN} ${PN}
+}
+
+src_prepare() {
+       default
+
+       rm bin/*.{bat,exe} LICENSE.txt NOTICE.txt || die
+       rmdir logs || die
+
+       if use x-pack; then
+               rm bin/x-pack/*.bat || die
+               rm -r modules/x-pack/x-pack-ml/platform/{darwin,windows}-x86_64 
|| die
+       fi
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins -r config/.
+       rm -r config || die
+
+       fowners root:${PN} /etc/${PN}
+       fperms 2750 /etc/${PN}
+
+       insinto /usr/share/${PN}
+       doins -r .
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}/elasticsearch-systemd-pre-exec"
+
+       chmod +x "${ED}"/usr/share/${PN}/bin/* || die
+
+       if use x-pack; then
+               chmod +x 
"${ED}"/usr/share/${PN}/modules/x-pack/x-pack-ml/platform/linux-x86_64/bin/* || 
die
+       fi
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       fperms 0750 /var/{lib,log}/${PN}
+       dodir /usr/share/${PN}/plugins
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" ${PN}.conf
+
+       newconfd "${FILESDIR}/${PN}.conf.3" ${PN}
+       newinitd "${FILESDIR}/${PN}.init.5" ${PN}
+
+       systemd_install_serviced "${FILESDIR}/${PN}.service.conf"
+       systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d" ${PN}.conf
+       systemd_newunit "${FILESDIR}"/${PN}.service.3 ${PN}.service
+}
+
+pkg_postinst() {
+       elog
+       elog "You may create multiple instances of ${PN} by"
+       elog "symlinking the init script:"
+       elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+       elog
+       elog "Please make sure you put elasticsearch.yml, log4j2.properties and 
scripts"
+       elog "from /etc/${PN} into the configuration directory of the instance:"
+       elog "/etc/${PN}/instance"
+       elog
+       ewarn "Please make sure you have proper permissions on /etc/${PN}"
+       ewarn "prior to keystore generation or you may experience startup 
fails."
+       ewarn "chown root:${PN} /etc/${PN} && chmod 2750 /etc/${PN}"
+       ewarn "chown root:${PN} /etc/${PN}/${PN}.keystore && chmod 0660 
/etc/${PN}/${PN}.keystore"
+}

diff --git a/app-misc/elasticsearch/metadata.xml 
b/app-misc/elasticsearch/metadata.xml
index 2d9963a03f5..56857d7ba31 100644
--- a/app-misc/elasticsearch/metadata.xml
+++ b/app-misc/elasticsearch/metadata.xml
@@ -1,16 +1,19 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-  <maintainer type="person">
-    <email>hydrapo...@gmail.com</email>
-    <name>Tomáš Mózes</name>
-  </maintainer>
-  <maintainer type="person">
-    <email>erkifer...@gmail.com</email>
-    <name>Ferenc Erki</name>
-  </maintainer>
-  <maintainer type="project">
-    <email>proxy-ma...@gentoo.org</email>
-    <name>Proxy Maintainers</name>
-  </maintainer>
+       <maintainer type="person">
+               <email>hydrapo...@gmail.com</email>
+               <name>Tomáš Mózes</name>
+       </maintainer>
+       <maintainer type="person">
+               <email>erkifer...@gmail.com</email>
+               <name>Ferenc Erki</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>proxy-ma...@gentoo.org</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <use>
+               <flag name="x-pack">Enable additional features (may need a 
license)</flag>
+       </use>
 </pkgmetadata>

Reply via email to